Subject: Re: [MMUSIC] [rtcweb] Updating JSEP and BUNDLE

From: Justin Uberti <[email-masked]>
Date: Mon, 1 Feb 2021 10:32:35 -0800

On Sun, Jan 31, 2021 at 10:07 AM Christer Holmberg <
[email-masked]> wrote:

> Hi,
>
> ...
>
> >>>> If I remember correctly, there was a suggestion to keep the existing
> port zero + bundle-only procedure in JSEP, but define a NEW policy for it.
> Then, once the new policy gets implemented, it can be used.
> >>>
> >>> Yes. I had suggested that, and still think that could be a path
> forward. But we should first see what the aforementioned data says to
> understand the extent of the need for such a policy.
> >>
> >> We have been talking mostly about 'max-bundle'. But as far as I
> understand (and you also mentioned it earlier in the thread) we have the
> same issue with 'balanced', if the offer contains more than one m- line for
> the same media type. Or?
> >
> > You are correct, but the scope of this issue is believed to be far
> smaller, given the slow adoption of unified plan (which is required for
> multiple m= lines of the same type). IOW, we may choose a different
> solution here than in the max-bundle case.
>
> Are you saying that browsers currently don't support multiple m= lines of
> the same type?
>

No, only that most applications don't do this at the moment, for the
reasons stated above.

>
> With 'balanced', as long as you only have one m= line per media type,
> there is no problem, as each m= line will have a unique port value in the
> offer.
>

Right, this is why I said previously that 'balanced' is a more tractable
situation.